View Issue Details

IDProjectCategoryView StatusLast Update
0002673SymmetricDS ProImprovementpublic2016-08-16 15:36
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.35 
Target Version3.7.30Fixed in Version3.8.1 
Summary0002673: DBF Router to provide a parameter to ignore header validation
DescriptionBy default the DBF Router will parse DBF files and validate the header information. There is now a parameter to skip this validation step.

dbf.router.validate.header
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 3ca2b15e

2016-07-08 08:57:03

josh-a-hicks

Details Diff
0002673: DBF Router to provide a parameter to ignore header validation
0002673
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DBFRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/parse/DBFField.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/parse/DBFReader.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2016-07-08 08:56 josh-a-hicks New Issue
2016-07-08 08:56 josh-a-hicks Status new => assigned
2016-07-08 08:56 josh-a-hicks Assigned To => josh-a-hicks
2016-07-08 10:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 3ca2b15e
2016-07-13 08:20 josh-a-hicks Status assigned => resolved
2016-07-13 08:20 josh-a-hicks Fixed in Version => 3.8.0
2016-07-13 08:20 josh-a-hicks Resolution open => fixed
2016-08-10 11:04 chenson Fixed in Version 3.8.0 => 3.8.1
2016-08-16 15:36 admin Status resolved => closed